import React from "react";
import { Link } from "react-router-dom";
import { Col, Row, Card, Button } from "react-bootstrap";
// import { productList } from "data/products";
import { connect } from "react-redux";
import { actions as cartActions } from "@redux/cartRedux";
import { actions as favoriteActions } from "@redux/favoriteRedux";
import SpinnerLocal from "components/spinner";
import cartServices from "services/cartServices";
import favoriteServices from "services/favouriteServices";
import { isUserLoggedIn } from "services/userServices";
import ProductBox from "./productBox";

class HomeProductsList extends React.Component<any> {
   render() {
      if (this.props.product.homeProductsLoading) {
         return <SpinnerLocal />;
      } else if (this.props.product.homeProductsError) {
         return <div>{this.props.product.homeProductsErrorMessage}</div>;
      } else if (this.props.product.homeProducts==undefined) {
         return <div>No product available</div>;
      }
      return (
         <Row>
            {this.props.product.homeProducts.map((productItem, index) => (
               <ProductBox productItem={productItem} key={index} />
            ))}
         </Row>
      );
   }
}
const mapStateToProps = ({ product, cart, favorite, user }) => {
   return { product, cart: cart.cart, favorite, user };
};

export default connect(mapStateToProps)(HomeProductsList);
